%define _prefix /usr



Summary: The Open Vulnerability Assessment (OpenVAS) CLI
Name:    openvas-cli
Version: 1.4.2
Release: 8.art
Source0: %{name}-%{version}.tar.gz
License: GNU GPLv2
URL: http://www.openvas.org
Group: System Environment/Libraries
Vendor: OpenVAS Development Team, http://www.openvas.org
Packager: Scott R. Shinn <scott@atomicrocketturtle.com>
BuildRoot: %{_builddir}/%{name}-root
Prefix: %{_prefix}
AutoReqProv: no
AutoReq: 0

BuildRequires: cmake
BuildRequires: openvas-libraries, openvas-libraries-devel >= 7.0
Requires: openvas-libraries
BuildRequires: libgcrypt-devel gpgme gpgme-devel
 
%if 0%{?fedora} >= 15
BuildRequires: libassuan libassuan-devel
%endif


%if 0%{?el5}%{?fc6}%{?fc7}
BuildRequires:  openvas-glib2-devel openvas-glib2
Requires: openvas-glib2
BuildRequires: e2fsprogs e2fsprogs-devel
%else
BuildRequires: glib2 >= 2.6.0, glib2-devel >= 2.6.0,
%endif




%if 0%{?el4}0%{?el5}%{?fc6}
BuildRequires: %{_includedir}/pcap.h
BuildRequires: compat-gnutls2, compat-gnutls2-devel
Requires: compat-gnutls2
%endif

# OV-7
%if  0%{?rhel} == 6
BuildRequires: atomic-gnutls3-gnutls-devel 
BuildRequires: atomic-glib2-glib2-devel

BuildConflicts: gnutls gnutls-devel
Requires: atomic-gnutls3-gnutls 
%else
BuildRequires: gnutls-devel
%endif



%description
The module OpenVAS-CLI collects command line tools
to handle with the OpenVAS services via the respective
protocols.



%prep
%setup -b 0 -n %{name}-%{version}

%build

%if 0%{?el5}%{?fc6}%{?fc7}
  export LDFLAGS="-L/usr/gnutls2/lib -L/lib -L/usr/openvas/lib/ -L/usr/openvas/lib64/"
  export CFLAGS="-I/usr/gnutls2/include -L/usr/gnutls2/lib -I/usr/openvas/include"
  export GNUTLS_LIBS=/usr/gnutls2/lib
  export PKG_CONFIG_PATH=/usr/gnutls2/lib/pkgconfig/:/usr/evolution28/lib/pkgconfig:/usr/lib/pkgconfig/
  %ifarch x86_64
    export GLIB_LIBS=/usr/openvas/lib64/libglib-2.0.so
    export PKG_CONFIG_PATH=/usr/openvas/lib64/pkgconfig:/usr/lib64/pkgconfig/:/usr/gnutls2/lib/pkgconfig/
  %else
    export GLIB_LIBS=/usr/openvas/lib/libglib-2.0.so
    export PKG_CONFIG_PATH=/usr/openvas/lib/pkgconfig:/usr/lib/pkgconfig/
  %endif
%endif

%if 0%{?el4}%{?el5}
export PKG_CONFIG_PATH=/usr/evolution28/lib64/pkgconfig:/usr/lib64/pkgconfig/:/usr/gnutls2/lib/pkgconfig:/usr/lib/pkgconfig:/usr/openvas/lib/pkgconfig/:/usr/openvas/lib64/pkgconfig/
export LDFLAGS="-L/usr/gnutls2/lib -L/lib -L/usr/evolution28/lib/ -L/usr/evolution28/lib64/"
export CFLAGS="-I/usr/gnutls2/include -L/usr/gnutls2/lib"
%endif


%if 0%{?rhel} >= 6
  export CC="gcc -Wl,-rpath,/opt/atomic/atomic-gnutls3/root/usr/lib,-rpath,/opt/atomic/atomic-gnutls3/root/usr/lib64,-rpath,/opt/atomic/atomic-glib2/root/usr/lib64/,-rpath,/opt/atomic/atomic-glib2/root/usr/lib/"
  export LDFLAGS="-L/opt/atomic/atomic-gnutls3/root/usr/lib -L/opt/atomic/atomic-gnutls3/root/usr/lib64 -L/lib -L/usr/openvas/lib/ -L/usr/openvas/lib64/ -L/opt/atomic/atomic-glib2/root/usr/lib64"
  export CFLAGS="-I/opt/atomic/atomic-gnutls3/root/usr/include  -I/usr/openvas/include -I/opt/atomic/atomic-glib2/root/usr/include/"
  export GNUTLS_LIBS=/opt/atomic/atomic-gnutls3/root/usr/lib:/opt/atomic/atomic-gnutls3/root/usr/lib64
  export PKG_CONFIG_PATH=/opt/atomic/atomic-gnutls3/root/usr/lib/pkgconfig:/opt/atomic/atomic-gnutls3/root/usr/lib64/pkgconfig:/usr/lib/pkgconfig/

%endif


cmake -DCMAKE_VERBOSE_MAKEFILE=ON \
        -DCMAKE_INSTALL_PREFIX=%{_prefix} \
        -DSYSCONFDIR=%{_sysconfdir} \
        -DLOCALSTATEDIR=%{_localstatedir}


%if 0%{?el4}0%{?el5}
perl -p -i -e "s[^include= ][include= -I/usr/gnutls2/include -L/usr/gnutls2/lib ]" openvas.tmpl
%endif


%{__make}  %{?_smp_mflags}


%install

mkdir -p %{buildroot}/usr/bin
install -m 0755 omp/omp %{buildroot}/usr/bin/omp


%post
if [ ! -f /usr/bin/openvas-cli ]; then
  ln -sf /usr/bin/omp /usr/bin/openvas-cli
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/omp


%changelog
* Mon Jul 13 2015 Scott R. Shinn <scott@atomicorp.com> - 1.4.2-8
- Update to 1.4.2

* Thu May 28 2015 Scott R. Shinn <scott@atomicorp.com> - 1.4.1-7
- Update to 1.4.1

* Mon Nov 17 2014 Scott R. Shinn <scott@atomicorp.com> - 1.3.1-6
- Update to 1.3.1

* Mon May 5 2014 Scott R. Shinn <scott@atomicorp.com> - 1.3.0-5
- Update to 1.3.0

* Thu Apr 18 2013 Scott R. Shinn <scott@atomicorp.com> - 1.2.0-4
- Update to 1.2.0

* Mon Aug 20 2012 Scott R. Shinn <scott@atomicorp.com> - 1.1.5-3
- Update to 1.1.5

* Thu May 10 2012 Scott R. Shinn <scott@atomicorp.com> - 1.1.4-2
- Update to 1.1.4

* Fri Nov 4 2011 Scott R. Shinn <scott@atomicorp.com> - 1.1.3-1
- Update to 1.1.3

* Fri Apr 1 2011 Scott R. Shinn <scott@atomicorp.com> - 1.1.2-2
- Added a symlink to openvas-cli

* Fri Feb 22 2011 Scott R. Shinn <scott@atomicorp.com> - 1.1.2-1
- Upate to 1.1.2

* Fri Feb 18 2011 Scott R. Shinn <scott@atomicorp.com> - 1.1.1-1
- Upate to 1.1.1

* Thu Dec 30 2010 Scott R. Shinn <scott@atomicorp.com> - 1.1.0-1
- Update to 1.1.0

* Tue Aug 31 2010 Scott R. Shinn <scott@atomicorp.com> - 1.0.0-1
- Update to 1.0.0

* Wed Apr 28 2010 Scott R. Shinn <scott@atomicorp.com> - 0.1.0-1
- initial build for openvas-cli 0.1.0


